Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO::Ret_BD_String_SArgument_T< S, S_var, to_S, from_S, BOUND > Class Template Reference

Template class for return skeleton value of bd (w)string. More...

`#include <BD_String_SArgument_T.h>`

Inheritance diagram for TAO::Ret_BD_String_SArgument_T< S, S_var, to_S, from_S, BOUND >:

[legend]
Collaboration diagram for TAO::Ret_BD_String_SArgument_T< S, S_var, to_S, from_S, BOUND >:

[legend]
List of all members.

## Public Methods
| Ret_BD_String_SArgument_T (void)
virtual CORBA::Boolean | marshal (TAO_OutputCDR &)
virtual void | interceptor_result (CORBA::Any *)
S *& | arg (void)
## Private Attributes
S_var | x_

## Detailed Description

### template<typename S, typename S_var, typename to_S, typename from_S, size_t BOUND>
class TAO::Ret_BD_String_SArgument_T< S, S_var, to_S, from_S, BOUND >

Template class for return skeleton value of bd (w)string.

## Constructor & Destructor Documentation

template<typename S, typename S_var, typename to_S, typename from_S, size_t BOUND>
ACE_INLINE TAO::Ret_BD_String_SArgument_T< S, S_var, to_S, from_S, BOUND >::Ret_BD_String_SArgument_T | ( | void |  | ) |

## Member Function Documentation

template<typename S, typename S_var, typename to_S, typename from_S, size_t BOUND>
ACE_INLINE S *& TAO::Ret_BD_String_SArgument_T< S, S_var, to_S, from_S, BOUND >::arg | ( | void |  | ) |

template<typename S, typename S_var, typename to_S, typename from_S, size_t BOUND>
void TAO::Ret_BD_String_SArgument_T< S, S_var, to_S, from_S, BOUND >::interceptor_result | ( | CORBA::Any * |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

template<typename S, typename S_var, typename to_S, typename from_S, size_t BOUND>
CORBA::Boolean TAO::Ret_BD_String_SArgument_T< S, S_var, to_S, from_S, BOUND >::marshal | ( | TAO_OutputCDR & |  | ) | `[virtual]`

| Reimplemented from TAO::Argument.

## Member Data Documentation

template<typename S, typename S_var, typename to_S, typename from_S, size_t BOUND>
S_var TAO::Ret_BD_String_SArgument_T< S, S_var, to_S, from_S, BOUND >::x_`[private]`

The documentation for this class was generated from the following files:

- BD_String_SArgument_T.h
- BD_String_SArgument_T.cpp
- BD_String_SArgument_T.inl